Bug 463072 - Missing mapnik.pc so mapnik-demo won't build
Missing mapnik.pc so mapnik-demo won't build
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mapnik (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-21 07:16 EDT by Ed Avis
Modified: 2008-09-28 14:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-28 14:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2008-09-21 07:16:53 EDT
This bug refers to mapnik-0.5.1-4.fc10.src.rpm from the development SRPMS directory.  I built it on Fedora 9.

None of the packages built from this source RPM include a mapnik.pc file for pkg-config.  But mapnik-demo (one of the packages built from the source RPM) requires mapnik.pc to build the example program.

% rpmbuild --rebuild mapnik-0.5.1-4.fc10.src.rpm
% sudo rpm -Uvh wherever/mapnik-*.rpm
% cp -r /usr/share/doc/mapnik-demo-0.5.1/ .
% cd mapnik-demo-0.5.1/c++
% make
g++  `pkg-config --cflags mapnik freetype2` -Wall   -c -o rundemo.o rundemo.cpp
Package mapnik was not found in the pkg-config search path.
Perhaps you should add the directory containing `mapnik.pc'
to the PKG_CONFIG_PATH environment variable
No package 'mapnik' found

% for i in `rpm -qa | grep ^mapnik`; do rpm -ql $i | grep mapnik.pc; done
(nothing)
Comment 1 Fedora Update System 2008-09-25 07:51:59 EDT
mapnik-0.5.2-0.4.svn738.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mapnik-0.5.2-0.4.svn738.fc9
Comment 2 Fedora Update System 2008-09-25 07:53:00 EDT
mapnik-0.5.2-0.4.svn738.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/mapnik-0.5.2-0.4.svn738.fc8
Comment 3 Ed Avis 2008-09-28 08:59:36 EDT
This no longer occurs with mapnik-0.5.2-0.4.svn738.fc9.x86_64 from Fedora 9 updates (and the corresponding mapnik-demo).

However mapnik-demo has some further dependencies such as unicode/unistr.h which are needed to build it.  It might be a good idea to add dependencies to the mapnik-demo package so it pulls in everything you need to build the demo programs.
Comment 4 Fedora Update System 2008-09-28 14:43:53 EDT
mapnik-0.5.2-0.4.svn738.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-09-28 14:44:09 EDT
mapnik-0.5.2-0.4.svn738.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.